from MySU.fields.presentable_hyperlinked_related import PresentableHyperlinkedRelatedField


class ProfileField(PresentableHyperlinkedRelatedField):
    """
    When working with the hyperlink related field through the Clickable API provided by DRF, it is a little
    annoying that all profiles are able to be selected, whilst just the ones of the  effectively be
    selected. This removes that annoyance.

    # TODO We should remove this though, since it only adds db queries whilst we are not really using the Clickable API
    anyways
    """
    def get_queryset(self):
        user = self.context['request'].user
        return user.profiles.all()
