from django.contrib import admin

from apps.MySU.models import Association


@admin.register(Association)
class AssociationAdmin(admin.ModelAdmin):
    list_display = (
        'name',
        'short_name',
        'email',
        'slug',
    )
    search_fields = (
        'name',
        'short_name',
    )

    def get_readonly_fields(self, request, obj=None):
        if obj:
            return (
                'name',
            )
        else:
            return ()
