from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.MySU.models import News


@admin.register(News)
class NewsAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )
    list_display = (
        'association',
        'title',
        'date',
    )
