from apps.MySU.models import Study
from apps.MySU.serializers.base import BaseSerializer


class StudySerializer(BaseSerializer):
    class Meta:
        model = Study
        exclude = ('slug', 'institution')
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'institution': {'lookup_field': 'slug'},
        }
