from django.contrib.auth.views import PasswordResetView
from django.urls import reverse_lazy

from MySU.forms.sun_password_reset import MySUPasswordResetView


class MySUPasswordResetView(PasswordResetView):
    form_class = MySUPasswordResetView
    template_name = 'registration/password_reset_form.html'
    success_url = reverse_lazy('password_reset_done')
