from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.calendar.models import Enrollment


@admin.register(Enrollment)
class EnrollmentAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
        ('event', RelatedDropdownFilter),
        ('profile', RelatedDropdownFilter),
    )
    list_display = (
        "profile",
        "event",
        "association",
    )
    list_display_links = (
        "profile",
        "event",
        "association",
    )
