from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.calendar.models import EnrollmentOption


@admin.register(EnrollmentOption)
class EnrollmentOptionAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )
    list_display = (
        "name",
        "association",
        "participation_fee",
        "event",
    )
    list_display_links = (
        "name",
        'association',
        'event'
    )
