from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.calendar.models import EventType


@admin.register(EventType)
class EventTypeAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )
    list_display = (
        "type",
        "association",
    )
    list_display_links = (
        "type",
        "association",
    )
