from apps.calendar.models import EventType
from apps.MySU.serializers.base import BaseSerializer


class EventTypeSerializer(BaseSerializer):
    class Meta:
        model = EventType
        fields = '__all__'
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'association': {'lookup_field': 'slug'},
        }
        nested_fields = ['association']
