from rest_framework import serializers

from apps.financial.models import MembershipFee
from apps.MySU.serializers.base import BaseSerializer


class MemberShipFeeSerializer(BaseSerializer):
    class Meta:
        model = MembershipFee
        fields = '__all__'
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'association': {'lookup_field': 'slug'},
        }
        nested_fields = ['association']
