import json
import uuid

"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""
data_fields_array = [
    {
        "model": "MySU.associationspecificdatafields",
        "pk": 1,
        "fields": {
            "slug": "8e4dcd33-d176-47fd-ad36-ba4e7c737c57",
            "association": 1,
            "type": "Number",
            "name": "Favorite Number",
            "choices": "",
            "default": "48",
            "board_only": False,
            "mandatory": True,
        }
    },
    {
        "model": "MySU.associationspecificdatafields",
        "pk": 2,
        "fields": {
            "slug": "a826094e-a8ea-49d6-aa8c-7de943e25f46",
            "association": 1,
            "type": "String",
            "name": "Drivers Licence",
            "choices": "",
            "default": "false",
            "board_only": False,
            "mandatory": True,
        }
    },
    {
        "model": "MySU.associationspecificdatafields",
        "pk": 3,
        "fields": {
            "slug": "0d6ff0a9-f2cb-40da-b81b-d4952cc16442",
            "association": 1,
            "type": "Choice",
            "name": "Apple Pie or Quark Pie",
            "choices": "apple pie,quark pie",
            "default": None,
            "board_only": True,
            "mandatory": False,
        }
    },
    {
        "model": "MySU.associationspecificdatafields",
        "pk": 4,
        "fields": {
            "slug": "de38e577-94ab-4057-a798-59049229dbe8",
            "association": 2,
            "type": "Choice",
            "name": "Apple Pie or Quark Pie",
            "choices": "apple pie,quark pie",
            "default": "apple pie",
            "board_only": False,
            "mandatory": False,
        }
    },
    {
        "model": "MySU.associationspecificdatafields",
        "pk": 5,
        "fields": {
            "slug": "358699b5-99cf-4ef5-a118-3f4651d653e3",
            "association": 2,
            "type": "Boolean",
            "name": "ERO",
            "default": "false",
            "choices": "",
            "board_only": False,
            "mandatory": True,
        }
    }]
data_array = [
    {
        "model": "MySU.associationspecificdata",
        "pk": 1,
        "fields": {
            "slug": "1db97210-f323-4fe2-bfc6-10d1c048cb67",
            "association": 1,
            "membership": 2,
            "data_field": 1,
            "value": 48,
        }
    },
    {
        "model": "MySU.associationspecificdata",
        "pk": 2,
        "fields": {
            "slug": "2090a295-6cdd-44b5-b774-3418670d739e",
            "association": 1,
            "membership": 2,
            "data_field": 2,
            "value": None,
        }
    },
    {
        "model": "MySU.associationspecificdata",
        "pk": 3,
        "fields": {
            "slug": "a6ecf7e1-e986-4595-9b3d-860041a1c98f",
            "association": 1,
            "membership": 2,
            "data_field": 3,
            "value": "quark pie",
        }
    },
    {
        "model": "MySU.associationspecificdata",
        "pk": 4,
        "fields": {
            "slug": "8d90d484-1d76-495a-a167-465352671c19",
            "association": 2,
            "membership": 5,
            "data_field": 4,
            "value": "quark pie",
        }
    },
    {
        "model": "MySU.associationspecificdata",
        "pk": 5,
        "fields": {
            "slug": "04672188-e7e9-43d4-9b2c-6acb6241c19b",
            "association": 2,
            "membership": 5,
            "data_field": 5,
            "value": "Yes",
        }
    }]
fixture_dir = "preset"
# with open('./MySU/fixtures/{}/association_specific_data_fields.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(data_fields_array, json_file, indent=4)
# with open('./MySU/fixtures/{}/association_specific_data.json'.format(fixture_dir), 'w+') as json_file:
#     json.dump(data_array, json_file, indent=4)
