import json

from django.utils import timezone

"""
----------------------------------------------------------------------------------------------------------------------
 PREDETERMINED
----------------------------------------------------------------------------------------------------------------------
"""

debt_entries_array = []
debt_collections_array = []

"""
--------------------------------------
 SU
--------------------------------------
"""
debt_entries_array.append({
    "model": "core.debtentry",
    "pk": 1,
    "fields": {
        "slug": "9156ef62-8077-4373-a0eb-52d5ebcfff72",
        "association": 1,
        "debt_collection": 1,
        "user": 3,
        "profile": 3,
        "total_price": 0,
    }
})

debt_collections_array.append({
    "model": "MySU.debtcollection",
    "pk": 1,
    "fields": {
        "slug": '87d7a1f2-5c6d-4090-b7c6-7b2f1f3d27f4',
        "creation_date": str(timezone.datetime(2020, 4, 13)),
        "amount": 0,
        "debt_collection_date": str(timezone.datetime(2020, 4, 15)),
        "locked": True,
        "association": 1,
    }
})

fixture_dir = "preset"
with open('./MySU/fixtures/{}/debt_entries.json'.format(fixture_dir), 'w+') as json_file:
    json.dump(debt_entries_array, json_file, indent=4)
with open('./MySU/fixtures/{}/debt_collection.json'.format(fixture_dir), 'w+') as json_file:
    json.dump(debt_collections_array, json_file, indent=4)
