# from django.db import connection
# from django_cron import CronJobBase
# from django_cron import Schedule
#
#
# class OsirisCron(CronJobBase):
#     """
#     People can tell the UT that they want to share their data from Osiris with My SU. This data will not be imported
#     directly, but placed in a separate database called utwente. This cron will take the data that has been put there by
#     the UT and update the profile table based on the student_number, the attribute that both My SU profiles and UT
#     profiles have and is unique.
#     """
#     # TODO Remove the run every mins after testing
#     RUN_EVERY_MINS = 1
#     RUN_AT_TIMES = ['6:30']
#
#     schedule = Schedule(run_every_mins=RUN_EVERY_MINS, run_at_times=RUN_AT_TIMES)
#     code = "osiris"  # a unique code
#
#     def do(self):
#         with connection.cursor() as cursor:
#             cursor.execute(
#                 """UPDATE SUN_profile
#                 "SET address = UT.adresregel_straat1,
#                      zip_code = UT.postcode,
#                      city = UT.plaats,
#                      student_number = UT.studentnr,
#                      given_name = UT.roepnaam,
#                      first_names = UT.voorletters,
#                      surname = UT.achternaam,
#                      email = UT.emailadres,
#                      date_of_birth = UT.geboortedatum,
#                      gender = UT.geslachtscode
#                 FROM utwente.student as UT
#                 WHERE utwente.student.studentnr = SUN_profile.student_number;"""
#             )
