from django import forms

from apps.MySU.models import Association

DELIMITER_CHOICES = (
    (";", ";"),
    (",", ","),
    ("|", "|"),
)


class CsvImportForm(forms.Form):
    association = forms.ModelChoiceField(Association.objects.all(), required=True)
    csv_file = forms.FileField(required=True)
    delimiter = forms.ChoiceField(choices=DELIMITER_CHOICES)
