from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.MySU.models import AssociationSpecificData


@admin.register(AssociationSpecificData)
class AssociationSpecificDataAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )

    def get_readonly_fields(self, request, obj=None):
        if obj:
            return (
                'association', 'membership', 'data_field',
            )
        else:
            return ()
