from django.contrib import admin
from apps.MySU.models import Modules
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter


@admin.register(Modules)
class ModulesAdmin(admin.ModelAdmin):
    list_filter = (
        ('association', RelatedDropdownFilter),
    )

    search_fields = (
        'association',
    )

    list_display = (
        'slug',
        'association',
    )