from django.contrib import admin

from apps.MySU.models import Study


@admin.register(Study)
class StudyAdmin(admin.ModelAdmin):
    list_display = (
        'name',
        'studycode',
        'institution',
    )

    search_fields = (
        'name',
        'studycode',
    )

    list_filter = (
        'institution',
    )
