from django.contrib import admin

from apps.MySU.models import StudyRecord


@admin.register(StudyRecord)
class StudyRecordAdmin(admin.ModelAdmin):
    list_display = (
        'student',
        'study',
        'institution',
    )

    search_fields = (
        'student',
        'study',
    )

    list_filter = (
        'phase',
        'year',
        'study',
    )
