from rest_flex_fields import FlexFieldsModelSerializer
from rest_framework import serializers

from apps.MySU.models import Modules


class ModulesSerializer(FlexFieldsModelSerializer, serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Modules
        fields = "__all__"
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
        }

    def validate(self, attrs):
        attrs = super(ModulesSerializer, self).validate(attrs)
        attrs.pop("association", None)
        return attrs
