from apps.MySU.models import News
from apps.MySU.serializers.base import BaseSerializer
from MySU.fields.association import AssociationField


class NewsSerializer(BaseSerializer):
    association = AssociationField(view_name='association-detail', lookup_field='slug')

    class Meta:
        model = News
        fields = "__all__"
        extra_kwargs = {
            'url': {'lookup_field': 'slug'},
            'association': {'lookup_field': 'slug'},
        }
