from django.contrib import admin
from django_admin_listfilter_dropdown.filters import RelatedDropdownFilter

from apps.buddy.models import Matching


@admin.register(Matching)
class MatchingAdmin(admin.ModelAdmin):
    list_filter = (
        'email_send',
        ('association', RelatedDropdownFilter),
        ('left_profile', RelatedDropdownFilter),
        ('right_profile', RelatedDropdownFilter),
    )
    list_display = (
        'slug',
        'email_send',
        "association",
        "left_profile",
        "right_profile",
    )
    list_display_links = (
        'slug',
        "association",
        "left_profile",
        "right_profile",
    )
