from django.conf.urls import url
from rest_framework.routers import DefaultRouter

from apps.buddy.views.matchings_emails import EmailMatchingsView
from apps.buddy.viewsets.matching import MatchingViewSet

router = DefaultRouter()
router.register(r'matchings', MatchingViewSet)

urlpatterns = [
    url(r'^matchings/email', EmailMatchingsView.as_view(), name='matchings-email'),
]
