#!/usr/bin/env bash
pylint MySU apps
exitcode=$?
echo "Pylint return code:"
echo $exitcode
if [[ $(($exitcode & 1 )) == 1 ]]
then
    echo -e "Pylint has detected fatal issues, please check them"
fi
if [[ $(($exitcode & 2 )) == 2 ]]
then
    echo -e "Pylint has detected errors, please check them"
fi
exit $(($exitcode & 3 ))
