from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class EventTypeTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_put_helios(self):
        pass

    def test_put_student_union(self):
        pass

    def test_patch_helios(self):
        pass

    def test_patch_student_union(self):
        pass

    def test_post_helios(self):
        pass

    def test_post_student_union(self):
        pass

    def test_get_helios(self):
        pass

    def test_get_student_union(self):
        response = self.client.get('/event_types/89ac22dc-5a71-4fac-8af4-5844b7eb71a1')
        self.assertEqual(200, response.status_code, "Error: {}, Input: event types pk 1".format(response.data))
        self.assertEqual(response.data['type'], "gezelligheid", "Error: {}, Input: event types pk 1".format(response.data))
        response = self.client.get('/event_types/e3775f3f-7c0b-417b-821c-a16d474ddda5')
        self.assertEqual(200, response.status_code, "Error: {}, Input: event types pk 2".format(response.data))
        self.assertEqual(response.data['type'], "games", "Error: {}, Input: event types pk 2".format(response.data))

    def test_list(self):
        response = self.client.get('/event_types')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all event types".format(response.data))
        self.assertEqual(response.data['count'], 3, msg="number of event types doesn't match expected number of event types")
